import { jsx } from "react/jsx-runtime";
import { UserFocus as UserFocus$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const UserFocus = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "UserFocus", ...props, children: /* @__PURE__ */ jsx(UserFocus$1, { weight: variant }) });
  }
);
UserFocus.displayName = "UserFocus";
Object.assign(UserFocus, { isGdsIcon: true });
export {
  UserFocus
};
